GROUPMEMS(8)

名称
groupmems - 用户主组的管理员成员

大纲

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

描述

The groupmems command allows a user to administer their own group membership list without the requirement of superuser privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the superuser, as administrator, can use groupmems to alter the memberships of other groups.

选项

The options which apply to the groupmems command are:

-a, --add user_name
    Add a user to the group membership list.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-d, --delete user_name
    从组成员列表中删除用户。

    If the /etc/gshadow file exist, the user will be removed from the list of members and administrators of the group.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-g, --group group_name
    超级用户可以指定修改哪个组的组成员列表。

-h, --help
    显示帮助信息并退出。

-l, --list
    列出组成员。

-p, --purge
    从组成员列表中删除所有用户。

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

SETUP

The groupmems executable should be in mode 2710 as user root and in group groups. The system administrator can add users to group groups to allow or disallow them using the groupmems utility to manage their own group membership list.

    	$ groupadd -r groups
    	$ chmod 2710 groupmems
    	$ chown root:groups groupmems
    	$ groupmems -g groups -a gk4

配置文件

The following configuration variables in /etc/login.defs change the behavior of this tool:

文件

/etc/group
    组账户信息。

/etc/gshadow
    安全组账户信息

参见

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).